Bug 201114 - [PATCH] net-mgmt/icinga2 backends are not needed, when only used as client
Summary: [PATCH] net-mgmt/icinga2 backends are not needed, when only used as client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-25 19:38 UTC by Niels Kristensen
Modified: 2015-07-25 14:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
backend-not-needed.patch (1.11 KB, patch)
2015-06-25 19:38 UTC, Niels Kristensen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niels Kristensen 2015-06-25 19:38:19 UTC
Created attachment 158055 [details]
backend-not-needed.patch

If icinga2 is configured purely as a client/checker, then it doesn't need a db backend.
Comment 1 commit-hook freebsd_committer 2015-07-14 18:43:01 UTC
A commit references this bug:

Author: lme
Date: Tue Jul 14 18:42:57 UTC 2015
New revision: 392046
URL: https://svnweb.freebsd.org/changeset/ports/392046

Log:
  - Update to 2.3.6
  - Install more config files as sample config
  - Fix directory permissions under /var
  - Change database backend options to GROUP, so one can de-select both [1]

  PR:		201114 [1]
  Submitted by:	Niels Kristensen
  MFH:		2015Q3

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/distinfo
  head/net-mgmt/icinga2/files/icinga2.in
  head/net-mgmt/icinga2/files/patch-etc_CMakeLists.txt
  head/net-mgmt/icinga2/files/patch-itl_CMakeLists.txt
  head/net-mgmt/icinga2/files/patch-itl_plugins-contrib.d_CMakeLists.txt
  head/net-mgmt/icinga2/pkg-plist
Comment 2 Lars Engels freebsd_committer 2015-07-14 18:45:26 UTC
Fixed, thanks!
Comment 3 commit-hook freebsd_committer 2015-07-25 10:28:21 UTC
A commit references this bug:

Author: lme
Date: Sat Jul 25 10:27:22 UTC 2015
New revision: 392866
URL: https://svnweb.freebsd.org/changeset/ports/392866

Log:
  MFH: r392046

  - Update to 2.3.6
  - Install more config files as sample config
  - Fix directory permissions under /var
  - Change database backend options to GROUP, so one can de-select both [1]

  PR:		201114 [1]
  Submitted by:	Niels Kristensen
  Approved by:	portmgr (delphij)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/net-mgmt/icinga2/Makefile
  branches/2015Q3/net-mgmt/icinga2/distinfo
  branches/2015Q3/net-mgmt/icinga2/files/icinga2.in
  branches/2015Q3/net-mgmt/icinga2/files/patch-etc_CMakeLists.txt
  branches/2015Q3/net-mgmt/icinga2/files/patch-itl_CMakeLists.txt
  branches/2015Q3/net-mgmt/icinga2/files/patch-itl_plugins-contrib.d_CMakeLists.txt
  branches/2015Q3/net-mgmt/icinga2/pkg-plist